<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class UserBan
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        # If user account has been banned by the admin
        if(auth()->user()->status == 0){
            return redirect(route('banned'));    
        }

        return $next($request);
    }
}
